Skip to content

Sources, files and lineage

All API areas

Use the linked wire models for field constraints. Operation metadata does not enumerate every possible HTTP error or replace current server authorization.

On this page

Capabilities

HTTP
GET /api/v1/tenants/{tenant_id}/source-batch-capabilities

Contract operation: FileBatchController.capabilities.

SDK Method
Python file_batch_capabilities
TypeScript fileBatches.capabilities
Java client.fileBatches.capabilities

Parameters

These are the declared path, query and body arguments. Multipart and binary inputs are described by their request schema below. SDK argument names may follow each language’s conventions.

Name Location Declared type Required Default
tenant_id path PathVar[str] Yes Not specified
workspace_id query QueryParam[str] Yes Not specified

Request and response

Contract Value
Request schema No request schema declared
Response schema FileBatchCapabilities
Success status 200
Declared encoding application/json

Encoding identifies the upload, stream or download format when applicable; otherwise it is JSON. It is not a declaration that a GET request has a body.

Headers

No operation-specific headers are declared in the canonical metadata.

Authentication and resource bounds still apply. See request behavior and the SDK runtime reference.

Create

HTTP
POST /api/v1/tenants/{tenant_id}/sources/batches

Contract operation: FileBatchController.create.

SDK Method
Python create_file_batch
TypeScript fileBatches.create
Java client.fileBatches.create

Parameters

These are the declared path, query and body arguments. Multipart and binary inputs are described by their request schema below. SDK argument names may follow each language’s conventions.

Name Location Declared type Required Default
tenant_id path PathVar[str] Yes Not specified
body body Valid[Body[FileBatchCreate]] Yes Not specified

Request and response

Contract Value
Request schema FileBatchCreate
Response schema FileBatchView
Success status 201
Declared encoding application/json

Encoding identifies the upload, stream or download format when applicable; otherwise it is JSON. It is not a declaration that a GET request has a body.

Headers

  • Idempotency-Key (required; caller-supplied stable operation key)

Authentication and resource bounds still apply. See request behavior and the SDK runtime reference.

List

HTTP
GET /api/v1/tenants/{tenant_id}/sources/batches

Contract operation: FileBatchController.list.

SDK Method
Python file_batches
TypeScript fileBatches.list
Java client.fileBatches.list

Parameters

These are the declared path, query and body arguments. Multipart and binary inputs are described by their request schema below. SDK argument names may follow each language’s conventions.

Name Location Declared type Required Default
tenant_id path PathVar[str] Yes Not specified
page query QueryParam[int] No 1
page_size query QueryParam[int] No 25

Request and response

Contract Value
Request schema No request schema declared
Response schema FileBatchPage
Success status 200
Declared encoding application/json

Encoding identifies the upload, stream or download format when applicable; otherwise it is JSON. It is not a declaration that a GET request has a body.

Headers

No operation-specific headers are declared in the canonical metadata.

Authentication and resource bounds still apply. See request behavior and the SDK runtime reference.

Get

HTTP
GET /api/v1/tenants/{tenant_id}/sources/batches/{batch_id}

Contract operation: FileBatchController.get.

SDK Method
Python file_batch
TypeScript fileBatches.get
Java client.fileBatches.get

Parameters

These are the declared path, query and body arguments. Multipart and binary inputs are described by their request schema below. SDK argument names may follow each language’s conventions.

Name Location Declared type Required Default
tenant_id path PathVar[str] Yes Not specified
batch_id path PathVar[str] Yes Not specified

Request and response

Contract Value
Request schema No request schema declared
Response schema FileBatchView
Success status 200
Declared encoding application/json

Encoding identifies the upload, stream or download format when applicable; otherwise it is JSON. It is not a declaration that a GET request has a body.

Headers

No operation-specific headers are declared in the canonical metadata.

Authentication and resource bounds still apply. See request behavior and the SDK runtime reference.

Items

HTTP
GET /api/v1/tenants/{tenant_id}/sources/batches/{batch_id}/items

Contract operation: FileBatchController.items.

SDK Method
Python file_batch_items
TypeScript fileBatches.items
Java client.fileBatches.items

Parameters

These are the declared path, query and body arguments. Multipart and binary inputs are described by their request schema below. SDK argument names may follow each language’s conventions.

Name Location Declared type Required Default
tenant_id path PathVar[str] Yes Not specified
batch_id path PathVar[str] Yes Not specified
page query QueryParam[int] No 1
page_size query QueryParam[int] No 25

Request and response

Contract Value
Request schema No request schema declared
Response schema FileItemPage
Success status 200
Declared encoding application/json

Encoding identifies the upload, stream or download format when applicable; otherwise it is JSON. It is not a declaration that a GET request has a body.

Headers

No operation-specific headers are declared in the canonical metadata.

Authentication and resource bounds still apply. See request behavior and the SDK runtime reference.

Content

HTTP
PUT /api/v1/tenants/{tenant_id}/sources/batches/{batch_id}/items/{item_id}/content

Contract operation: FileBatchController.content.

SDK Method
Python upload_file_batch_item
TypeScript fileBatches.upload
Java client.fileBatches.upload

Parameters

These are the declared path, query and body arguments. Multipart and binary inputs are described by their request schema below. SDK argument names may follow each language’s conventions.

Name Location Declared type Required Default
tenant_id path PathVar[str] Yes Not specified
batch_id path PathVar[str] Yes Not specified
item_id path PathVar[str] Yes Not specified

Request and response

Contract Value
Request schema BulkFileUpload
Response schema StagedFileReceipt
Success status 200
Declared encoding application/octet-stream

Encoding identifies the upload, stream or download format when applicable; otherwise it is JSON. It is not a declaration that a GET request has a body.

Headers

  • Idempotency-Key (required; caller-supplied stable operation key)

Authentication and resource bounds still apply. See request behavior and the SDK runtime reference.

Receipt

HTTP
GET /api/v1/tenants/{tenant_id}/sources/batches/{batch_id}/items/{item_id}/receipt

Contract operation: FileBatchController.receipt.

SDK Method
Python file_batch_item_receipt
TypeScript fileBatches.receipt
Java client.fileBatches.receipt

Parameters

These are the declared path, query and body arguments. Multipart and binary inputs are described by their request schema below. SDK argument names may follow each language’s conventions.

Name Location Declared type Required Default
tenant_id path PathVar[str] Yes Not specified
batch_id path PathVar[str] Yes Not specified
item_id path PathVar[str] Yes Not specified

Request and response

Contract Value
Request schema No request schema declared
Response schema StagedFileReceipt
Success status 200
Declared encoding application/json

Encoding identifies the upload, stream or download format when applicable; otherwise it is JSON. It is not a declaration that a GET request has a body.

Headers

No operation-specific headers are declared in the canonical metadata.

Authentication and resource bounds still apply. See request behavior and the SDK runtime reference.

Submit

HTTP
POST /api/v1/tenants/{tenant_id}/sources/batches/{batch_id}/submit

Contract operation: FileBatchController.submit.

SDK Method
Python submit_file_batch
TypeScript fileBatches.submit
Java client.fileBatches.submit

Parameters

These are the declared path, query and body arguments. Multipart and binary inputs are described by their request schema below. SDK argument names may follow each language’s conventions.

Name Location Declared type Required Default
tenant_id path PathVar[str] Yes Not specified
batch_id path PathVar[str] Yes Not specified
body body Valid[Body[BulkAction]] Yes Not specified

Request and response

Contract Value
Request schema BulkAction
Response schema FileBatchView
Success status 202
Declared encoding application/json

Encoding identifies the upload, stream or download format when applicable; otherwise it is JSON. It is not a declaration that a GET request has a body.

Headers

  • Idempotency-Key (required; caller-supplied stable operation key)

Authentication and resource bounds still apply. See request behavior and the SDK runtime reference.

Cancel

HTTP
POST /api/v1/tenants/{tenant_id}/sources/batches/{batch_id}/cancel

Contract operation: FileBatchController.cancel.

SDK Method
Python cancel_file_batch
TypeScript fileBatches.cancel
Java client.fileBatches.cancel

Parameters

These are the declared path, query and body arguments. Multipart and binary inputs are described by their request schema below. SDK argument names may follow each language’s conventions.

Name Location Declared type Required Default
tenant_id path PathVar[str] Yes Not specified
batch_id path PathVar[str] Yes Not specified
body body Valid[Body[BulkAction]] Yes Not specified

Request and response

Contract Value
Request schema BulkAction
Response schema FileBatchView
Success status 200
Declared encoding application/json

Encoding identifies the upload, stream or download format when applicable; otherwise it is JSON. It is not a declaration that a GET request has a body.

Headers

  • Idempotency-Key (required; caller-supplied stable operation key)

Authentication and resource bounds still apply. See request behavior and the SDK runtime reference.

Reconcile

HTTP
POST /api/v1/tenants/{tenant_id}/sources/batches/{batch_id}/items/{item_id}/reconcile

Contract operation: FileBatchController.reconcile.

SDK Method
Python reconcile_file_batch_item
TypeScript fileBatches.reconcile
Java client.fileBatches.reconcile

Parameters

These are the declared path, query and body arguments. Multipart and binary inputs are described by their request schema below. SDK argument names may follow each language’s conventions.

Name Location Declared type Required Default
tenant_id path PathVar[str] Yes Not specified
batch_id path PathVar[str] Yes Not specified
item_id path PathVar[str] Yes Not specified
body body Valid[Body[BulkAction]] Yes Not specified

Request and response

Contract Value
Request schema BulkAction
Response schema FileBatchView
Success status 200
Declared encoding application/json

Encoding identifies the upload, stream or download format when applicable; otherwise it is JSON. It is not a declaration that a GET request has a body.

Headers

  • Idempotency-Key (required; caller-supplied stable operation key)

Authentication and resource bounds still apply. See request behavior and the SDK runtime reference.

Recover original

HTTP
POST /api/v1/tenants/{tenant_id}/sources/batches/{batch_id}/items/{item_id}/original/reconcile

Contract operation: FileBatchController.recover_original.

SDK Method
Python reconcile_file_batch_original
TypeScript fileBatches.recoverOriginal
Java client.fileBatches.recoverOriginal

Parameters

These are the declared path, query and body arguments. Multipart and binary inputs are described by their request schema below. SDK argument names may follow each language’s conventions.

Name Location Declared type Required Default
tenant_id path PathVar[str] Yes Not specified
batch_id path PathVar[str] Yes Not specified
item_id path PathVar[str] Yes Not specified
body body Valid[Body[BulkAction]] Yes Not specified

Request and response

Contract Value
Request schema BulkAction
Response schema FileBatchView
Success status 200
Declared encoding application/json

Encoding identifies the upload, stream or download format when applicable; otherwise it is JSON. It is not a declaration that a GET request has a body.

Headers

  • Idempotency-Key (required; caller-supplied stable operation key)

Authentication and resource bounds still apply. See request behavior and the SDK runtime reference.

Processing recovery

HTTP
GET /api/v1/tenants/{tenant_id}/sources/batches/{batch_id}/items/{item_id}/recovery

Contract operation: FileBatchController.processing_recovery.

SDK Method
Python file_batch_processing_recovery
TypeScript fileBatches.processingRecovery
Java client.fileBatches.processingRecovery

Parameters

These are the declared path, query and body arguments. Multipart and binary inputs are described by their request schema below. SDK argument names may follow each language’s conventions.

Name Location Declared type Required Default
tenant_id path PathVar[str] Yes Not specified
batch_id path PathVar[str] Yes Not specified
item_id path PathVar[str] Yes Not specified

Request and response

Contract Value
Request schema No request schema declared
Response schema FileRecoveryView
Success status 200
Declared encoding application/json

Encoding identifies the upload, stream or download format when applicable; otherwise it is JSON. It is not a declaration that a GET request has a body.

Headers

No operation-specific headers are declared in the canonical metadata.

Authentication and resource bounds still apply. See request behavior and the SDK runtime reference.

Recover processing

HTTP
POST /api/v1/tenants/{tenant_id}/sources/batches/{batch_id}/items/{item_id}/recover

Contract operation: FileBatchController.recover_processing.

SDK Method
Python recover_file_batch_processing
TypeScript fileBatches.recoverProcessing
Java client.fileBatches.recoverProcessing

Parameters

These are the declared path, query and body arguments. Multipart and binary inputs are described by their request schema below. SDK argument names may follow each language’s conventions.

Name Location Declared type Required Default
tenant_id path PathVar[str] Yes Not specified
batch_id path PathVar[str] Yes Not specified
item_id path PathVar[str] Yes Not specified
body body Valid[Body[BulkRecoveryAction]] Yes Not specified

Request and response

Contract Value
Request schema BulkRecoveryAction
Response schema FileBatchView
Success status 202
Declared encoding application/json

Encoding identifies the upload, stream or download format when applicable; otherwise it is JSON. It is not a declaration that a GET request has a body.

Headers

  • Idempotency-Key (required; caller-supplied stable operation key)

Authentication and resource bounds still apply. See request behavior and the SDK runtime reference.

Upload

HTTP
POST /api/v1/tenants/{tenant_id}/sources/upload

Contract operation: KnowledgeController.upload.

SDK Method
Python upload
TypeScript sources.uploadFile
Java client.sources.upload

Parameters

These are the declared path, query and body arguments. Multipart and binary inputs are described by their request schema below. SDK argument names may follow each language’s conventions.

Name Location Declared type Required Default
tenant_id path PathVar[str] Yes Not specified

Request and response

Contract Value
Request schema SourceUpload
Response schema UploadResponse
Success status 201
Declared encoding multipart/form-data

Encoding identifies the upload, stream or download format when applicable; otherwise it is JSON. It is not a declaration that a GET request has a body.

Headers

No operation-specific headers are declared in the canonical metadata.

Authentication and resource bounds still apply. See request behavior and the SDK runtime reference.

Schema

HTTP
GET /api/v1/tenants/{tenant_id}/datasets/{dataset_id}/schema

Contract operation: KnowledgeController.schema.

SDK Method
Python schema
TypeScript dataset.schema
Java client.datasets.schema

Parameters

These are the declared path, query and body arguments. Multipart and binary inputs are described by their request schema below. SDK argument names may follow each language’s conventions.

Name Location Declared type Required Default
tenant_id path PathVar[str] Yes Not specified
dataset_id path PathVar[str] Yes Not specified

Request and response

Contract Value
Request schema No request schema declared
Response schema DatasetSchema
Success status 200
Declared encoding application/json

Encoding identifies the upload, stream or download format when applicable; otherwise it is JSON. It is not a declaration that a GET request has a body.

Headers

No operation-specific headers are declared in the canonical metadata.

Authentication and resource bounds still apply. See request behavior and the SDK runtime reference.

Lineage

HTTP
GET /api/v1/tenants/{tenant_id}/lineage

Contract operation: KnowledgeController.lineage.

SDK Method
Python lineage
TypeScript lineage
Java client.knowledge.lineage

Parameters

These are the declared path, query and body arguments. Multipart and binary inputs are described by their request schema below. SDK argument names may follow each language’s conventions.

Name Location Declared type Required Default
tenant_id path PathVar[str] Yes Not specified
asset_id query QueryParam[str | None] No null

Request and response

Contract Value
Request schema No request schema declared
Response schema Lineage
Success status 200
Declared encoding application/json

Encoding identifies the upload, stream or download format when applicable; otherwise it is JSON. It is not a declaration that a GET request has a body.

Headers

No operation-specific headers are declared in the canonical metadata.

Authentication and resource bounds still apply. See request behavior and the SDK runtime reference.

Document chunks

HTTP
GET /api/v1/tenants/{tenant_id}/documents/{document_id}/chunks

Contract operation: KnowledgeController.document_chunks.

SDK Method
Python document_chunks
TypeScript documents.chunks
Java client.documents.chunks

Parameters

These are the declared path, query and body arguments. Multipart and binary inputs are described by their request schema below. SDK argument names may follow each language’s conventions.

Name Location Declared type Required Default
tenant_id path PathVar[str] Yes Not specified
document_id path PathVar[str] Yes Not specified
offset query QueryParam[int] No 0
limit query QueryParam[int] No 50
page query QueryParam[int | None] No null
section query QueryParam[str | None] No null
q query QueryParam[str | None] No null

Request and response

Contract Value
Request schema No request schema declared
Response schema DocumentChunks
Success status 200
Declared encoding application/json

Encoding identifies the upload, stream or download format when applicable; otherwise it is JSON. It is not a declaration that a GET request has a body.

Headers

No operation-specific headers are declared in the canonical metadata.

Authentication and resource bounds still apply. See request behavior and the SDK runtime reference.

Document original

HTTP
GET /api/v1/tenants/{tenant_id}/documents/{document_id}/original

Contract operation: KnowledgeController.document_original.

SDK Method
Python document_download
TypeScript documents.download
Java client.documents.original

Parameters

These are the declared path, query and body arguments. Multipart and binary inputs are described by their request schema below. SDK argument names may follow each language’s conventions.

Name Location Declared type Required Default
tenant_id path PathVar[str] Yes Not specified
document_id path PathVar[str] Yes Not specified

Request and response

Contract Value
Request schema No request schema declared
Response schema BinaryDownload
Success status 200
Declared encoding binary

Encoding identifies the upload, stream or download format when applicable; otherwise it is JSON. It is not a declaration that a GET request has a body.

Headers

No operation-specific headers are declared in the canonical metadata.

Authentication and resource bounds still apply. See request behavior and the SDK runtime reference.

Reingest document

HTTP
POST /api/v1/tenants/{tenant_id}/documents/{document_id}/reingest

Contract operation: ContentController.reingest_document.

SDK Method
Python reingest_document
TypeScript documents.reingest
Java client.documents.reingest

Parameters

These are the declared path, query and body arguments. Multipart and binary inputs are described by their request schema below. SDK argument names may follow each language’s conventions.

Name Location Declared type Required Default
tenant_id path PathVar[str] Yes Not specified
document_id path PathVar[str] Yes Not specified
body body Valid[Body[DocumentReingestInput]] Yes Not specified

Request and response

Contract Value
Request schema DocumentReingestInput
Response schema ContentUpdate
Success status 201
Declared encoding application/json

Encoding identifies the upload, stream or download format when applicable; otherwise it is JSON. It is not a declaration that a GET request has a body.

Headers

  • If-Match (unquoted digest/snapshot helper argument; quoted wire header)
  • X-Koinon-Source-Version (optional UUID paired with extraction)
  • X-Koinon-Extraction (optional ingestion UUID paired with source version)

Authentication and resource bounds still apply. See request behavior and the SDK runtime reference.

Reingest table

HTTP
POST /api/v1/tenants/{tenant_id}/datasets/{dataset_id}/tables/{table_id}/reingest

Contract operation: ContentController.reingest_table.

SDK Method
Python reingest_table
TypeScript dataset.reingestTable
Java client.datasets.reingestTable

Parameters

These are the declared path, query and body arguments. Multipart and binary inputs are described by their request schema below. SDK argument names may follow each language’s conventions.

Name Location Declared type Required Default
tenant_id path PathVar[str] Yes Not specified
dataset_id path PathVar[str] Yes Not specified
table_id path PathVar[str] Yes Not specified
body body Valid[Body[TableReingestInput]] Yes Not specified

Request and response

Contract Value
Request schema TableReingestInput
Response schema ContentUpdate
Success status 201
Declared encoding application/json

Encoding identifies the upload, stream or download format when applicable; otherwise it is JSON. It is not a declaration that a GET request has a body.

Headers

  • If-Match (unquoted digest/snapshot helper argument; quoted wire header)

Authentication and resource bounds still apply. See request behavior and the SDK runtime reference.

Document

HTTP
POST /api/v1/tenants/{tenant_id}/documents/{document_id}/content

Contract operation: ContentController.document.

SDK Method
Python replace_document
TypeScript documents.replace
Java client.documents.replace

Parameters

These are the declared path, query and body arguments. Multipart and binary inputs are described by their request schema below. SDK argument names may follow each language’s conventions.

Name Location Declared type Required Default
tenant_id path PathVar[str] Yes Not specified
document_id path PathVar[str] Yes Not specified

Request and response

Contract Value
Request schema DocumentReplacement
Response schema ContentUpdate
Success status 201
Declared encoding multipart/form-data

Encoding identifies the upload, stream or download format when applicable; otherwise it is JSON. It is not a declaration that a GET request has a body.

Headers

  • If-Match (unquoted digest/snapshot helper argument; quoted wire header)
  • X-Koinon-Source-Version (optional UUID paired with extraction)
  • X-Koinon-Extraction (optional ingestion UUID paired with source version)

Authentication and resource bounds still apply. See request behavior and the SDK runtime reference.

Table

HTTP
POST /api/v1/tenants/{tenant_id}/datasets/{dataset_id}/tables/{table_id}/content

Contract operation: ContentController.table.

SDK Method
Python replace_table
TypeScript dataset.replaceTable
Java client.datasets.replaceTable

Parameters

These are the declared path, query and body arguments. Multipart and binary inputs are described by their request schema below. SDK argument names may follow each language’s conventions.

Name Location Declared type Required Default
tenant_id path PathVar[str] Yes Not specified
dataset_id path PathVar[str] Yes Not specified
table_id path PathVar[str] Yes Not specified

Request and response

Contract Value
Request schema TableReplacement
Response schema ContentUpdate
Success status 201
Declared encoding multipart/form-data

Encoding identifies the upload, stream or download format when applicable; otherwise it is JSON. It is not a declaration that a GET request has a body.

Headers

  • If-Match (unquoted digest/snapshot helper argument; quoted wire header)

Authentication and resource bounds still apply. See request behavior and the SDK runtime reference.

Append

HTTP
POST /api/v1/tenants/{tenant_id}/datasets/{dataset_id}/files

Contract operation: DatasetFilesController.append.

SDK Method
Python append_dataset_file
TypeScript dataset.appendFile
Java client.datasets.appendFile

Parameters

These are the declared path, query and body arguments. Multipart and binary inputs are described by their request schema below. SDK argument names may follow each language’s conventions.

Name Location Declared type Required Default
tenant_id path PathVar[str] Yes Not specified
dataset_id path PathVar[str] Yes Not specified

Request and response

Contract Value
Request schema DatasetFileUpload
Response schema DatasetFileAppendResult
Success status 201
Declared encoding multipart/form-data

Encoding identifies the upload, stream or download format when applicable; otherwise it is JSON. It is not a declaration that a GET request has a body.

Headers

  • Idempotency-Key (required; caller-supplied stable operation key)

Authentication and resource bounds still apply. See request behavior and the SDK runtime reference.

Versions

HTTP
GET /api/v1/tenants/{tenant_id}/documents/{document_id}/versions

Contract operation: DocumentHistoryController.versions.

SDK Method
Python document_versions
TypeScript documents.versions
Java client.documents.versions

Parameters

These are the declared path, query and body arguments. Multipart and binary inputs are described by their request schema below. SDK argument names may follow each language’s conventions.

Name Location Declared type Required Default
tenant_id path PathVar[str] Yes Not specified
document_id path PathVar[str] Yes Not specified
page query QueryParam[int] No 1
page_size query QueryParam[int] No 25

Request and response

Contract Value
Request schema No request schema declared
Response schema DocumentVersionPage
Success status 200
Declared encoding application/json

Encoding identifies the upload, stream or download format when applicable; otherwise it is JSON. It is not a declaration that a GET request has a body.

Headers

No operation-specific headers are declared in the canonical metadata.

Authentication and resource bounds still apply. See request behavior and the SDK runtime reference.

Version

HTTP
GET /api/v1/tenants/{tenant_id}/documents/{document_id}/versions/{source_version_id}

Contract operation: DocumentHistoryController.version.

SDK Method
Python document_version
TypeScript documents.version
Java client.documents.version

Parameters

These are the declared path, query and body arguments. Multipart and binary inputs are described by their request schema below. SDK argument names may follow each language’s conventions.

Name Location Declared type Required Default
tenant_id path PathVar[str] Yes Not specified
document_id path PathVar[str] Yes Not specified
source_version_id path PathVar[str] Yes Not specified

Request and response

Contract Value
Request schema No request schema declared
Response schema DocumentVersion
Success status 200
Declared encoding application/json

Encoding identifies the upload, stream or download format when applicable; otherwise it is JSON. It is not a declaration that a GET request has a body.

Headers

No operation-specific headers are declared in the canonical metadata.

Authentication and resource bounds still apply. See request behavior and the SDK runtime reference.

Extractions

HTTP
GET /api/v1/tenants/{tenant_id}/documents/{document_id}/versions/{source_version_id}/extractions

Contract operation: DocumentHistoryController.extractions.

SDK Method
Python document_extractions
TypeScript documents.extractions
Java client.documents.extractions

Parameters

These are the declared path, query and body arguments. Multipart and binary inputs are described by their request schema below. SDK argument names may follow each language’s conventions.

Name Location Declared type Required Default
tenant_id path PathVar[str] Yes Not specified
document_id path PathVar[str] Yes Not specified
source_version_id path PathVar[str] Yes Not specified
page query QueryParam[int] No 1
page_size query QueryParam[int] No 25

Request and response

Contract Value
Request schema No request schema declared
Response schema DocumentExtractionPage
Success status 200
Declared encoding application/json

Encoding identifies the upload, stream or download format when applicable; otherwise it is JSON. It is not a declaration that a GET request has a body.

Headers

No operation-specific headers are declared in the canonical metadata.

Authentication and resource bounds still apply. See request behavior and the SDK runtime reference.

Parts

HTTP
GET /api/v1/tenants/{tenant_id}/documents/{document_id}/versions/{source_version_id}/extractions/{extraction_id}/parts

Contract operation: DocumentHistoryController.parts.

SDK Method
Python document_parts
TypeScript documents.parts
Java client.documents.parts

Parameters

These are the declared path, query and body arguments. Multipart and binary inputs are described by their request schema below. SDK argument names may follow each language’s conventions.

Name Location Declared type Required Default
tenant_id path PathVar[str] Yes Not specified
document_id path PathVar[str] Yes Not specified
source_version_id path PathVar[str] Yes Not specified
extraction_id path PathVar[str] Yes Not specified
kind query QueryParam[str | None] No null
page query QueryParam[int] No 1
page_size query QueryParam[int] No 25

Request and response

Contract Value
Request schema No request schema declared
Response schema DocumentPartPage
Success status 200
Declared encoding application/json

Encoding identifies the upload, stream or download format when applicable; otherwise it is JSON. It is not a declaration that a GET request has a body.

Headers

No operation-specific headers are declared in the canonical metadata.

Authentication and resource bounds still apply. See request behavior and the SDK runtime reference.

Part

HTTP
GET /api/v1/tenants/{tenant_id}/documents/{document_id}/versions/{source_version_id}/extractions/{extraction_id}/parts/{source_part_id}

Contract operation: DocumentHistoryController.part.

SDK Method
Python document_part
TypeScript documents.part
Java client.documents.part

Parameters

These are the declared path, query and body arguments. Multipart and binary inputs are described by their request schema below. SDK argument names may follow each language’s conventions.

Name Location Declared type Required Default
tenant_id path PathVar[str] Yes Not specified
document_id path PathVar[str] Yes Not specified
source_version_id path PathVar[str] Yes Not specified
extraction_id path PathVar[str] Yes Not specified
source_part_id path PathVar[str] Yes Not specified

Request and response

Contract Value
Request schema No request schema declared
Response schema DocumentPartContent
Success status 200
Declared encoding application/json

Encoding identifies the upload, stream or download format when applicable; otherwise it is JSON. It is not a declaration that a GET request has a body.

Headers

No operation-specific headers are declared in the canonical metadata.

Authentication and resource bounds still apply. See request behavior and the SDK runtime reference.

Original

HTTP
GET /api/v1/tenants/{tenant_id}/documents/{document_id}/versions/{source_version_id}/original

Contract operation: DocumentHistoryController.original.

SDK Method
Python document_version_original
TypeScript documents.versionOriginal
Java client.documents.versionOriginal

Parameters

These are the declared path, query and body arguments. Multipart and binary inputs are described by their request schema below. SDK argument names may follow each language’s conventions.

Name Location Declared type Required Default
tenant_id path PathVar[str] Yes Not specified
document_id path PathVar[str] Yes Not specified
source_version_id path PathVar[str] Yes Not specified

Request and response

Contract Value
Request schema No request schema declared
Response schema BinaryDownload
Success status 200
Declared encoding binary

Encoding identifies the upload, stream or download format when applicable; otherwise it is JSON. It is not a declaration that a GET request has a body.

Headers

No operation-specific headers are declared in the canonical metadata.

Authentication and resource bounds still apply. See request behavior and the SDK runtime reference.

Snapshot

HTTP
GET /api/v1/tenants/{tenant_id}/datasets/{dataset_id}/tables/{table_id}/provenance

Contract operation: TableProvenanceController.snapshot.

SDK Method
Python table_provenance
TypeScript dataset.tableProvenance
Java client.datasets.tableProvenance

Parameters

These are the declared path, query and body arguments. Multipart and binary inputs are described by their request schema below. SDK argument names may follow each language’s conventions.

Name Location Declared type Required Default
tenant_id path PathVar[str] Yes Not specified
dataset_id path PathVar[str] Yes Not specified
table_id path PathVar[str] Yes Not specified
snapshot_id query QueryParam[str] Yes Not specified

Request and response

Contract Value
Request schema No request schema declared
Response schema TableProvenance
Success status 200
Declared encoding application/json

Encoding identifies the upload, stream or download format when applicable; otherwise it is JSON. It is not a declaration that a GET request has a body.

Headers

No operation-specific headers are declared in the canonical metadata.

Authentication and resource bounds still apply. See request behavior and the SDK runtime reference.

History

HTTP
GET /api/v1/tenants/{tenant_id}/datasets/{dataset_id}/tables/{table_id}/snapshots

Contract operation: TableProvenanceController.history.

SDK Method
Python table_snapshots
TypeScript dataset.tableSnapshots
Java client.datasets.tableSnapshots

Parameters

These are the declared path, query and body arguments. Multipart and binary inputs are described by their request schema below. SDK argument names may follow each language’s conventions.

Name Location Declared type Required Default
tenant_id path PathVar[str] Yes Not specified
dataset_id path PathVar[str] Yes Not specified
table_id path PathVar[str] Yes Not specified
page query QueryParam[int] No 1
page_size query QueryParam[int] No 25

Request and response

Contract Value
Request schema No request schema declared
Response schema TableSnapshotPage
Success status 200
Declared encoding application/json

Encoding identifies the upload, stream or download format when applicable; otherwise it is JSON. It is not a declaration that a GET request has a body.

Headers

No operation-specific headers are declared in the canonical metadata.

Authentication and resource bounds still apply. See request behavior and the SDK runtime reference.

Manifest

HTTP
GET /api/v1/tenants/{tenant_id}/datasets/{dataset_id}/tables/{table_id}/coordinates

Contract operation: TableCoordinateController.manifest.

SDK Method
Python table_coordinates
TypeScript dataset.tableCoordinates
Java client.datasets.tableCoordinates

Parameters

These are the declared path, query and body arguments. Multipart and binary inputs are described by their request schema below. SDK argument names may follow each language’s conventions.

Name Location Declared type Required Default
tenant_id path PathVar[str] Yes Not specified
dataset_id path PathVar[str] Yes Not specified
table_id path PathVar[str] Yes Not specified
snapshot_id query QueryParam[str] Yes Not specified

Request and response

Contract Value
Request schema No request schema declared
Response schema TableCoordinateManifest
Success status 200
Declared encoding application/json

Encoding identifies the upload, stream or download format when applicable; otherwise it is JSON. It is not a declaration that a GET request has a body.

Headers

No operation-specific headers are declared in the canonical metadata.

Authentication and resource bounds still apply. See request behavior and the SDK runtime reference.

Cells

HTTP
POST /api/v1/tenants/{tenant_id}/datasets/{dataset_id}/tables/{table_id}/coordinates/cells

Contract operation: TableCoordinateController.cells.

SDK Method
Python table_coordinate_cells
TypeScript dataset.tableCoordinateCells
Java client.datasets.tableCoordinateCells

Parameters

These are the declared path, query and body arguments. Multipart and binary inputs are described by their request schema below. SDK argument names may follow each language’s conventions.

Name Location Declared type Required Default
tenant_id path PathVar[str] Yes Not specified
dataset_id path PathVar[str] Yes Not specified
table_id path PathVar[str] Yes Not specified
body body Valid[Body[CoordinateCellRequest]] Yes Not specified

Request and response

Contract Value
Request schema CoordinateCellRequest
Response schema TableCoordinateSelection
Success status 200
Declared encoding application/json

Encoding identifies the upload, stream or download format when applicable; otherwise it is JSON. It is not a declaration that a GET request has a body.

Headers

No operation-specific headers are declared in the canonical metadata.

Authentication and resource bounds still apply. See request behavior and the SDK runtime reference.

Rows

HTTP
GET /api/v1/tenants/{tenant_id}/datasets/{dataset_id}/tables/{table_id}/coordinates/rows

Contract operation: TableCoordinateController.rows.

SDK Method
Python table_coordinate_rows
TypeScript dataset.tableCoordinateRows
Java client.datasets.tableCoordinateRows

Parameters

These are the declared path, query and body arguments. Multipart and binary inputs are described by their request schema below. SDK argument names may follow each language’s conventions.

Name Location Declared type Required Default
tenant_id path PathVar[str] Yes Not specified
dataset_id path PathVar[str] Yes Not specified
table_id path PathVar[str] Yes Not specified
snapshot_id query QueryParam[str] Yes Not specified
page query QueryParam[int] No 1
page_size query QueryParam[int] No 25

Request and response

Contract Value
Request schema No request schema declared
Response schema TableRowRangePage
Success status 200
Declared encoding application/json

Encoding identifies the upload, stream or download format when applicable; otherwise it is JSON. It is not a declaration that a GET request has a body.

Headers

No operation-specific headers are declared in the canonical metadata.

Authentication and resource bounds still apply. See request behavior and the SDK runtime reference.

Columns

HTTP
GET /api/v1/tenants/{tenant_id}/datasets/{dataset_id}/tables/{table_id}/coordinates/columns

Contract operation: TableCoordinateController.columns.

SDK Method
Python table_coordinate_columns
TypeScript dataset.tableCoordinateColumns
Java client.datasets.tableCoordinateColumns

Parameters

These are the declared path, query and body arguments. Multipart and binary inputs are described by their request schema below. SDK argument names may follow each language’s conventions.

Name Location Declared type Required Default
tenant_id path PathVar[str] Yes Not specified
dataset_id path PathVar[str] Yes Not specified
table_id path PathVar[str] Yes Not specified
snapshot_id query QueryParam[str] Yes Not specified
page query QueryParam[int] No 1
page_size query QueryParam[int] No 25

Request and response

Contract Value
Request schema No request schema declared
Response schema TableColumnBindingPage
Success status 200
Declared encoding application/json

Encoding identifies the upload, stream or download format when applicable; otherwise it is JSON. It is not a declaration that a GET request has a body.

Headers

No operation-specific headers are declared in the canonical metadata.

Authentication and resource bounds still apply. See request behavior and the SDK runtime reference.